<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class Exteriorcolor extends Model{
    use HasFactory;
    protected $table = 'exteriorcolor';
    
    protected $fillable = [
        'name',
        'tone_selection',
        'status',
        'created_by',
        'created_at',
        'updated_by',
        'updated_at'
    ];

    public function export($slug){
        /*$collection = DB::table('exteriorcolor')
                        ->select('name', 'tone_selection', 'status');*/

        $collection = DB::table('exteriorcolor')
                        ->select('exteriorcolor.name', 'colortone.name as colortone_name','exteriorcolor.status')
                        ->leftjoin('colortone' ,'colortone.id' ,'exteriorcolor.tone_selection');

        if($slug != 'all')
            $collection->where(['exteriorcolor.status' => $slug]);
        
        $data = $collection->get();
        
        if($data->isNotEmpty()){
            return $data;
        }else{
            return null;
        }
    }
}
